- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# file
[utilities]

## Functions
AXIS2_EXTERN axutil_file_t * | axutil_file_create (const axutil_env_t *env)
AXIS2_EXTERN void | axutil_file_free (axutil_file_t *file, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_file_set_name (axutil_file_t *file, const axutil_env_t *env, axis2_char_t *name)
AXIS2_EXTERN axis2_char_t * | axutil_file_get_name (axutil_file_t *file, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_file_set_path (axutil_file_t *file, const axutil_env_t *env, axis2_char_t *path)
AXIS2_EXTERN axis2_char_t * | axutil_file_get_path (axutil_file_t *file, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_file_set_timestamp (axutil_file_t *file, const axutil_env_t *env, AXIS2_TIME_T timestamp)
AXIS2_EXTERN AXIS2_TIME_T | axutil_file_get_timestamp (axutil_file_t *file, const axutil_env_t *env)
AXIS2_EXTERN axutil_file_t * | axutil_file_clone (axutil_file_t *file, const axutil_env_t *env)

## Function Documentation

AXIS2_EXTERN axutil_file_t* axutil_file_clone | ( | axutil_file_t * | file,
|  | const axutil_env_t * | env |
| ) |  |  |

create a newly allocated clone of the argument file

AXIS2_EXTERN axutil_file_t* axutil_file_create | ( | const axutil_env_t * | env | ) |

create new file

Returns:
  file newly created file